### Method

# Gtk PrintDialog print_finish

since: 4.14

#### Declaration [src]

    GOutputStream*
    gtk_print_dialog_print_finish (
      GtkPrintDialog* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the `gtk_print_dialog_print()` call and returns the results.

If the call was successful, the content to be printed should be written to the returned output stream. Otherwise, `NULL` is returned.

The overall results of the print operation will be returned in the `g_output_stream_close()` call, so if you are interested in the results, you need to explicitly close the output stream (it will be closed automatically if you just unref it). Be aware that the close call may not be instant as it operation will for the printer to finish printing.

Available since: 4.14

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GOutputStream`

A `GOutputStream`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.